[Bug 374543] Re: New upstream release qtiplot 0.9.7.8 (sync with debian and fix for debian's FTBFS)

Scott Howard showard314 at gmail.com
Thu Sep 24 15:54:12 BST 2009


Thanks for the comment. The new version 0.9.7.9 requires a custom qwt
library. In Ubuntu and Debian, the standard library is provided by the
package libqwt5-qt4-dev. For the most part, we don't want to mess with
custom libraries this close to release (beta freeze started this
morning and we've been in feature freeze for a few weeks). However,
the changes in the custom library have been accepted by the upstream
authors of qwt in their svn.

In order to get qtiplot 0.9.7.9 into Karmic, we would need to get a
freeze exception to get a new qwt into karmic (after testing it) and
then get a freeze exception for qtiplot 0.9.7.9 (after testing it).
This seems difficult with the remaining time in the release schedule,
and the motu-release team might not want to try it. That's why I think
it would be best if we could get qtiplot 0.9.7.8 into Karmic and then
sync with Debian after the release in order to get the new
libqwt5-qt4-dev package and qtiplot version 0.9.7.9.

However, we still would need a freeze exception for 0.9.7.8, otherwise
we'll ship with the same version that was in Jaunty.

2009/9/24 Дмитрий "Divius" Танцур <divius.inside at gmail.com>:
> 2009/09/14 - QtiPlot 0.9.7.9 released. Maybe test it an a ppa?
>
> --
> New upstream release qtiplot 0.9.7.8 (sync with debian and fix for debian's FTBFS)
> https://bugs.launchpad.net/bugs/374543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “qtiplot” package in Ubuntu: New
> Status in “qtiplot” package in Debian: New
>
> Bug description:
> Sources: http://www.kde-apps.org/content/show.php/QtiPlot?content=14826
>
> 2009/06/22 - QtiPlot 0.9.7.8 released. Special thanks to Olivier Dubreuil for his bug reports and suggestions. Changes:
>
> * Slightly modified the Qwt 5.2 library in order to allow painting of 2D curves using floating point coordinates, resulting in a more accurate/smoother represantation of the data (the modified source code of this library is shipped with the QtiPlot archive in the "3rdparty/qwt" folder).
> * Implemented waterfall plots.
> * Added a powerfull exploration tool for 2D plots combining panning and continuous zooming.
> * Improved the export of 2D plots to the EMF format on Windows. Now when you copy a plot window or a layer, the images are stored to the clipboard as metafiles using EmfEngine.
> * Improved contour line plots. Now the user has the possibility to:
> o use the formula defined for the data source matrix in order to calculate Z values, resulting in smoother contour lines
> o display text labels for the Z contour levels
> o define custom Z levels
> o define custom colors and pen widths for each Z level
> * Improved Python scripting for 2D curves. Added scripting support for:
> o image/contour line plots (spectrograms)
> o histograms
> o waterfall plots
> * Fixed crash when calling newNote() in a Python script with Python 2.6 (thanks to Knut Franke).
> * Improved color handling for curves/symbols in a 2D plot:
> o the user can define custom colors.
> o it is straightforward to restrict all colors to a gray scale or to define indexed colors via the "Palette" plot layer context menu (Feature Request #00381).
> * Improved data fitting capabilities:
> o fixed fitting with user defined functions containing removable singularities.
> o improved display range of prediction and confidence bands.
> o implemented Feature Request #004587: "Fit through zero".
> o added planck_wavelength fit plugin, thanks to Knut Franke.
> * Improved the display of analytic 2D functions: in case of logarithmic x-scales the values are calculated using equidistant data points on the log scale.
> * Improved 2D plot layers context menu.
> * Fixed file saving for filenames containing dot signes.
> * Added Chinese translation thanks to Fox (Chen Zhang).
>

-- 
New upstream release qtiplot 0.9.7.8 (sync with debian and fix for debian's FTBFS)
https://bugs.launchpad.net/bugs/374543
You received this bug notification because you are a member of Ubuntu
Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list